Bug 891264 - (eeze) Review Request: eeze - Device abstraction library
Review Request: eeze - Device abstraction library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
:
Depends On: Enlightenment-Tracker
Blocks: 891295
  Show dependency treegraph
 
Reported: 2013-01-02 06:29 EST by Rahul Sundaram
Modified: 2013-08-29 18:23 EDT (History)
6 users (show)

See Also:
Fixed In Version: eeze-1.7.8-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-29 18:23:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
chat-to-me: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
add requires for devel package on base package. Move ownership of unversioned shared library to devel package. (1.03 KB, patch)
2013-01-27 07:26 EST, Narasimhan
no flags Details | Diff

  None (edit)
Description Rahul Sundaram 2013-01-02 06:29:43 EST
Spec URL: http://sundaram.fedorapeople.org/packages/eeze.spec
SRPM URL: http://sundaram.fedorapeople.org/packages/eeze-1.7.4-1.fc18.src.rpm
Description:
Eeze is a library for manipulating devices through udev with a simple and fast
api. It interfaces directly with libudev, avoiding such middleman daemons as 
udisks/upower or hal, to immediately gather device information the instant it 
becomes known to the system.

Fedora Account System Username:sundaram
Comment 1 Michael Schwendt 2013-01-02 12:31:33 EST
* A brief look at the spec:


> BuildRequires:  autoconf automake libtool

Are they needed?


> %package devel

https://fedoraproject.org/wiki/Packaging:Guidelines#Requiring_Base_Package


> BuildRequires:  ecore-devel libeina-devel systemd-devel

This line appears more than once in the spec. It makes no sense to specify these BR again for the -devel package, since a -devel package typically includes only files which are split off the base package.


> %description devel
> Headers, test programs and documentation for eeze

The corresponding %files section does not mention any "test programs" or "documentation".


> %{_libdir}/libeeze.so

Included in the wrong package:
https://fedoraproject.org/wiki/Packaging:Guidelines#Devel_Packages


* A Plague build for F18 x86_64 fails early:

> checking for doxygen... no
> checking for EEZE... configure: WARNING: no doxygen detected. Documentation
> will not be built

> configure: error: Package requirements (ecore >= 1.6.99 eina >= 1.6.99
 libudev) were not met:
> Requested 'ecore >= 1.6.99' but version of ecore is 1.2.1
> Requested 'eina >= 1.6.99' but version of Eina is 1.2.1
> Consider adjusting the PKG_CONFIG_PATH environment variable if you
> installed software in a non-standard prefix.
> Alternatively, you may set the environment variables EEZE_CFLAGS
> and EEZE_LIBS to avoid the need to call pkg-config.
Comment 2 Narasimhan 2013-01-27 07:26:48 EST
Created attachment 688413 [details]
add requires for devel package on base package. Move ownership of unversioned shared library to devel package.
Comment 3 Dan Mashal 2013-06-07 21:32:24 EDT
Rahul,

What's the status on this review?
Comment 4 Dan Mashal 2013-06-14 04:14:00 EDT
No response from reviewr since 01-27. Will follow stalled review policy in 2 weeks.
Comment 5 Dan Mashal 2013-08-17 23:48:56 EDT
Updated.

Spec URL: http://vicodan.fedorapeople.org/eeze.spec
SRPM URL: http://vicodan.fedorapeople.org/eeze-1.7.7-1.fc20.src.rpm

Description: Eeze is a library for manipulating devices through udev with a simple and fast
api. It interfaces directly with libudev, avoiding such middleman daemons as 
udisks/upower or hal, to immediately gather device information the instant it 
becomes known to the system.
Comment 6 Dan Mashal 2013-08-19 16:35:37 EDT
Updated.


Spec URL: http://vicodan.fedorapeople.org/eeze.spec
SRPM URL: http://vicodan.fedorapeople.org/eeze-1.7.8-1.fc20.src.rpm

Description: Eeze is a library for manipulating devices through udev with a simple and fast
api. It interfaces directly with libudev, avoiding such middleman daemons as 
udisks/upower or hal, to immediately gather device information the instant it 
becomes known to the system.
Comment 7 Wolfgang Ulbrich 2013-08-19 17:57:59 EDT
MUST:
PLs change license to GPLv2+

GPL (v2 or later)
-----------------
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/eeze-1.7.8/ltmain.sh

Unknown or generated
--------------------
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/eeze-1.7.8/autogen.sh
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/eeze-1.7.8/src/bin/eeze_disk_ls.c
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/eeze-1.7.8/src/bin/eeze_mount.c
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/eeze-1.7.8/src/bin/eeze_scanner.c
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/eeze-1.7.8/src/bin/eeze_scanner.h
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/eeze-1.7.8/src/bin/eeze_udev_test.c
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/eeze-1.7.8/src/bin/eeze_umount.c
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/eeze-1.7.8/src/lib/Eeze.h
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/eeze-1.7.8/src/lib/Eeze_Disk.h
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/eeze-1.7.8/src/lib/Eeze_Net.h
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/eeze-1.7.8/src/lib/eeze_disk.c
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/eeze-1.7.8/src/lib/eeze_disk_libmount.c
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/eeze-1.7.8/src/lib/eeze_disk_libmount_new.c
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/eeze-1.7.8/src/lib/eeze_disk_libmount_old.c
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/eeze-1.7.8/src/lib/eeze_disk_mount.c
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/eeze-1.7.8/src/lib/eeze_disk_private.h
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/eeze-1.7.8/src/lib/eeze_disk_udev.c
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/eeze-1.7.8/src/lib/eeze_main.c
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/eeze-1.7.8/src/lib/eeze_net.c
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/eeze-1.7.8/src/lib/eeze_net_private.h
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/eeze-1.7.8/src/lib/eeze_udev_find.c
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/eeze-1.7.8/src/lib/eeze_udev_private.c
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/eeze-1.7.8/src/lib/eeze_udev_private.h
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/eeze-1.7.8/src/lib/eeze_udev_syspath.c
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/eeze-1.7.8/src/lib/eeze_udev_walk.c
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/eeze-1.7.8/src/lib/eeze_udev_watch.c

[-]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in eeze-devel

SHOULD:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.

just file a bugreport upstream and request that they add it.
Comment 8 Dan Mashal 2013-08-19 18:06:40 EDT
Updated. Per conversation on IRC updated license to BSD and GPLv2+

Spec URL: http://vicodan.fedorapeople.org/eeze.spec
SRPM URL: http://vicodan.fedorapeople.org/eeze-1.7.8-2.fc20.src.rpm

Description: Eeze is a library for manipulating devices through udev with a simple and fast
api. It interfaces directly with libudev, avoiding such middleman daemons as 
udisks/upower or hal, to immediately gather device information the instant it 
becomes known to the system.
Comment 9 Wolfgang Ulbrich 2013-08-19 18:19:44 EDT
APPROVED!

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 26 files have unknown
     license. Detailed output of licensecheck in
     /home/rave/891264-eeze/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[-]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 4 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: eeze-1.7.8-2.fc20.x86_64.rpm
          eeze-devel-1.7.8-2.fc20.x86_64.rpm
eeze.x86_64: W: spelling-error %description -l en_US udev -> dude
eeze.x86_64: W: spelling-error %description -l en_US api -> pi, ape, apt
eeze.x86_64: W: spelling-error %description -l en_US libudev -> Libreville
eeze.x86_64: W: spelling-error %description -l en_US udisks -> disks, u disks, Saudis
eeze.x86_64: W: spelling-error %description -l en_US upower -> power, u power
eeze.x86_64: W: spelling-error %description -l en_US hal -> Hal, gal, ha
eeze-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint eeze-devel eeze
eeze-devel.x86_64: W: no-documentation
eeze.x86_64: W: spelling-error %description -l en_US udev -> dude
eeze.x86_64: W: spelling-error %description -l en_US api -> pi, ape, apt
eeze.x86_64: W: spelling-error %description -l en_US libudev -> Libreville
eeze.x86_64: W: spelling-error %description -l en_US udisks -> disks, u disks, Saudis
eeze.x86_64: W: spelling-error %description -l en_US upower -> power, u power
eeze.x86_64: W: spelling-error %description -l en_US hal -> Hal, gal, ha
2 packages and 0 specfiles checked; 0 errors, 7 warnings.
# echo 'rpmlint-done:'



Requires
--------
eeze-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    eeze(x86-64)
    libeeze.so.1()(64bit)
    pkgconfig(ecore)
    pkgconfig(eina)
    pkgconfig(libudev)

eeze (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libecore.so.1()(64bit)
    libeina.so.1()(64bit)
    libpthread.so.0()(64bit)
    libudev.so.1()(64bit)
    libudev.so.1(LIBUDEV_183)(64bit)
    rtld(GNU_HASH)



Provides
--------
eeze-devel:
    eeze-devel
    eeze-devel(x86-64)
    pkgconfig(eeze)

eeze:
    eeze
    eeze(x86-64)
    libeeze.so.1()(64bit)



Source checksums
----------------
http://download.enlightenment.org/releases/eeze-1.7.8.tar.bz2 :
  CHECKSUM(SHA256) this package     : 2b1d2f55e0d3c42c9114995850249a8dfe8849560569268dc05a7d383617fff6
  CHECKSUM(SHA256) upstream package : 2b1d2f55e0d3c42c9114995850249a8dfe8849560569268dc05a7d383617fff6


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 891264
Comment 10 Dan Mashal 2013-08-19 18:27:42 EDT
New Package SCM Request
=======================
Package Name: eeze
Short Description: Eeze for Enlightenment manipulates devices quickly through udev.
Owners: vicodan sundaram spot
Branches: f19
Comment 11 Jon Ciesla 2013-08-20 08:14:52 EDT
Git done (by process-git-requests).
Comment 12 Fedora Update System 2013-08-20 17:02:43 EDT
eeze-1.7.8-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/eeze-1.7.8-2.fc19
Comment 13 Fedora Update System 2013-08-21 20:47:28 EDT
eeze-1.7.8-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 14 Fedora Update System 2013-08-29 18:23:42 EDT
eeze-1.7.8-2.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.